name: HaXml
version: 1.17.20060921
license: LGPL
copyright:
maintainer:
stability:
homepage: http://www.cs.york.ac.uk/fp/HaXml/
package-url:
description: Haskell utilities for parsing, filtering, transforming and
             generating XML documents.
category: Text
author: Malcolm Wallace <Malcolm.Wallace@cs.york.ac.uk>
exposed: True
exposed-modules: Text.ParserCombinators.HuttonMeijer
                 Text.ParserCombinators.HuttonMeijerWallace
                 Text.ParserCombinators.Poly Text.ParserCombinators.PolyState
                 Text.ParserCombinators.PolyLazy
                 Text.ParserCombinators.PolyStateLazy
                 Text.ParserCombinators.TextParser Text.XML.HaXml
                 Text.XML.HaXml.Combinators Text.XML.HaXml.DtdToHaskell.Convert
                 Text.XML.HaXml.DtdToHaskell.Instance
                 Text.XML.HaXml.DtdToHaskell.TypeDef Text.XML.HaXml.Escape
                 Text.XML.HaXml.Html.Generate Text.XML.HaXml.Html.Parse
                 Text.XML.HaXml.Html.ParseLazy Text.XML.HaXml.Html.Pretty
                 Text.XML.HaXml.Lex Text.XML.HaXml.OneOfN Text.XML.HaXml.Parse
                 Text.XML.HaXml.ParseLazy Text.XML.HaXml.Posn Text.XML.HaXml.Pretty
                 Text.XML.HaXml.SAX Text.XML.HaXml.ShowXmlLazy Text.XML.HaXml.Types
                 Text.XML.HaXml.TypeMapping Text.XML.HaXml.Validate
                 Text.XML.HaXml.Verbatim Text.XML.HaXml.Wrappers
                 Text.XML.HaXml.XmlContent Text.XML.HaXml.Xtract.Combinators
                 Text.XML.HaXml.Xtract.Lex Text.XML.HaXml.Xtract.Parse
hidden-modules:
import-dirs: /usr/pkg/lib/hugs/packages/HaXml
library-dirs: /usr/pkg/lib/hugs/packages/HaXml
hs-libraries: HSHaXml-1.17.20060921
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/pkg/lib/hugs/packages/HaXml/include
includes:
depends: base haskell98
hugs-options:
cc-options: -DVERSION="1.17"
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/pkg/share/HaXml-1.17.20060921/doc/html/HaXml.haddock
haddock-html: /usr/pkg/share/HaXml-1.17.20060921/doc/html
